Nginx 錯誤訊息 Access to the script has been denied (see security.limit_extensions)

2015-03-31 CentOS

這幾天在嘗試轉換幾個站台到 Nginx 在 Log 看到以下錯誤,紀錄於此

Access to the script has been denied (see security.limit_extensions)

 

這是由於 php-fpm 預設安裝在 security.limit_extensions 是僅有支援 .php 的

 

若是你的 Web site 有執行 .htm .html .pl 等等的副檔名就會被擋下來

若要允許使用可以編輯 php-fpm 設定檔

 

 

若是 空值 則代表全部允許,但這將會有資安上的疑慮

 

最後,必須重啟 php-fpm 生效

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *

彙整

分類

open all | close all

License

訂閱 Mr. 沙先生 的文章

輸入你的 email 用於訂閱